
import 'dart:async';

import 'package:flutter/services.dart';

class Wolfflashlight {
  static const MethodChannel _channel = MethodChannel('wolfflashlight');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<bool> get hasFlashlight async {
    final bool _hasFlashlight = await _channel.invokeMethod('hasFlashlight');
    return _hasFlashlight;
  }

  static Future<void> lightOn() async {
    await _channel.invokeMethod('lightOn');
    return;
  }

  static Future<void> lightOff() async {
    await _channel.invokeMethod('lightOff');
    return;
  }

  static Future<void> lightFlash() async {
    await _channel.invokeMethod('lightFlash');
    return;
  }
}
